local disabled_factions = {
	america = false,
	russia = true,
	zombie = false,
	murkywater = false,
	federales = true
}

Hooks:PostHook( GroupAITweakData, "_init_unit_categories", "mixed_marshals__init_unit_categories", function(self, difficulty_index)
	for faction in pairs(self.unit_categories.marshal_marksman.unit_types) do
		if not disabled_factions[faction] then
			self.unit_categories.marshal_marksman.unit_types[faction] = {
				Idstring("units/pd2_dlc_usm1/characters/ene_male_marshal_marksman_1/ene_male_marshal_marksman_1"),
				Idstring("units/pd2_dlc_usm1/characters/ene_male_marshal_marksman_2/ene_male_marshal_marksman_2")
			}
		end
	end

	for faction in pairs(self.unit_categories.marshal_shield.unit_types) do
		if not disabled_factions[faction] then
			self.unit_categories.marshal_shield.unit_types[faction] = {
				Idstring("units/pd2_dlc_usm2/characters/ene_male_marshal_shield_1/ene_male_marshal_shield_1"),
				Idstring("units/pd2_dlc_usm2/characters/ene_male_marshal_shield_2/ene_male_marshal_shield_2")
			}
		end
	end
end )